#ifndef _HW_ATMEGA128_H_
#define _HW_ATMEGA128_H_

#define LCD_RST_DDR	        DDRC
#define LCD_RST_PRT	        PORTC
#define LCD_RST_BIT		4

#define LCD_BL_DDR		DDRB
#define LCD_BL_PRT		PORTB
#define LCD_BL_BIT		5

#define LCD_RS_DDR		DDRC
#define LCD_RS_PRT		PORTC
#define LCD_RS_BIT		1

#define LCD_CS_DDR		DDRC
#define LCD_CS_PRT		PORTC
#define LCD_CS_BIT		0

#define LCD_RD_DDR		DDRC
#define LCD_RD_PRT		PORTC
#define LCD_RD_BIT		3

#define LCD_WR_DDR		DDRC
#define LCD_WR_PRT		PORTC
#define LCD_WR_BIT		2

#define LCD_DB_DDR		DDRA
#define LCD_DB_PRT		PORTA
#define LCD_DB_PIN		PINA

#define TC_CS_DDR		DDRC
#define TC_CS_PRT		PORTC
#define TC_CS_BIT		7

#define TC_PEN_DDR		DDRE
#define TC_PEN_PRT		PORTE
#define TC_PEN_PIN		PINE
#define TC_PEN_BIT		6

#define SCK_DDR		        DDRB
#define SCK_PRT		        PORTB
#define SCK_BIT			1

#define MOSI_DDR		DDRB
#define MOSI_PRT		PORTB
#define MOSI_BIT		2

#define MISO_DDR		DDRB
#define MISO_PRT		PORTB
#define MISO_BIT		3

#define SD_CS_DDR              DDRB
#define SD_CS_PRT              PORTB
#define SD_CS_BIT              0

#define SD_DE_DDR              DDRB
#define SD_DE_PRT              PORTB
#define SD_DE_PIN              PINB
#define SD_DE_BIT              4

#define KEY_DDR                DDRE
#define KEY_PIN                PINE
#define KEY_PRT                PORTE
#define KEY_BIT                7

#define CHG_DDR                DDRC
#define CHG_PIN                PINC
#define CHG_BIT                5

#define UP                     7
#define DOWN                   2
#define LEFT                   4
#define RIGHT                  6
#define SET                    3
#define ESC                    5

#endif

void mcu_init(void)
        {
        PORTB=0x11;
        DDRB=0xE7;
        PORTC=0x00;
        DDRC=0xFF;
        PORTD=0x14;
        DDRD=0xFB;
        PORTE=0xFD;
        DDRE=0x02;
        PORTF=0x0E;
        DDRF=0x00; 
         
        ASSR=0x00;
        TCCR0=0x0F;
        TCNT0=0x00;
        OCR0=0x9C;
        TIMSK=0x02; 
          
        TCCR1A=0x81;
        TCCR1B=0x09;
        OCR1AL=0x00; 
           
        ADMUX=ADC_VREF_TYPE & 0xff;
	ADCSRA=0x84;        
        }