

typedef struct {
	int	year;	/* 2000..2099 */
	char	month;	/* 1..12 */
	char	mday;	/* 1.. 31 */
	char	wday;	/* 1..7 */
	char	hour;	/* 0..23 */
	char	min;	/* 0..59 */
	char	sec;	/* 0..59 */
} RTC;

//struct rtc_struct RTC;

int iic_write (BYTE, UINT, UINT, const void*);	/* Write to IIC device */
int iic_read (BYTE, UINT, UINT, void*);		/* Read from IIC device */

int rtc_init (void);						/* Initialize RTC */
int rtc_gettime (RTC*);					/* Get time */
int rtc_settime (const RTC*);				/* Set time */

